Bernoulli Distributions
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions
Collaboration diagram for Bernoulli Distributions:

## Modules

| Poisson Distributions

## Classes

class | std::bernoulli_distribution
class | std::binomial_distribution< _IntType >
class | std::geometric_distribution< _IntType >
class | std::negative_binomial_distribution< _IntType >

## Functions

bool | std::operator!= (const std::bernoulli_distribution &__d1, const std::bernoulli_distribution &__d2)
template<typename _IntType >
bool | std::operator!= (const std::binomial_distribution< _IntType > &__d1, const std::binomial_distribution< _IntType > &__d2)
template<typename _IntType >
bool | std::operator!= (const std::geometric_distribution< _IntType > &__d1, const std::geometric_distribution< _IntType > &__d2)
template<typename _IntType >
bool | std::operator!= (const std::negative_binomial_distribution< _IntType > &__d1, const std::negative_binomial_distribution< _IntType > &__d2)
template<typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::bernoulli_distribution &__x)
template<typename _IntType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::geometric_distribution< _IntType > &__x)
template<typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::bernoulli_distribution &__x)
template<typename _IntType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::geometric_distribution< _IntType > &__x)

## Detailed Description

## Function Documentation

## operator!=() [1/4]

bool std::operator!= | ( | const std::bernoulli_distribution & | __d1,
|  | const std::bernoulli_distribution & | __d2
| ) |  |

inline

Return true if two Bernoulli distributions have different parameters.

Definition at line 3614 of file random.h.

## operator!=() [2/4]

template<typename _IntType >

bool std::operator!= | ( | const std::binomial_distribution< _IntType > & | __d1,
|  | const std::binomial_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two binomial distributions are different.

Definition at line 3885 of file random.h.

## operator!=() [3/4]

template<typename _IntType >

bool std::operator!= | ( | const std::geometric_distribution< _IntType > & | __d1,
|  | const std::geometric_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two geometric distributions have different parameters.

Definition at line 4059 of file random.h.

## operator!=() [4/4]

template<typename _IntType >

bool std::operator!= | ( | const std::negative_binomial_distribution< _IntType > & | __d1,
|  | const std::negative_binomial_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two negative binomial distributions are different.

Definition at line 4309 of file random.h.

## operator<<() [1/2]

template<typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::bernoulli_distribution & | __x
| ) |  |

Inserts a bernoulli_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A bernoulli_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 995 of file bits/random.tcc.

References std::left(), std::bernoulli_distribution::p(), and std::scientific().

## operator<<() [2/2]

template<typename _IntType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::geometric_distribution< _IntType > & | __x
| ) |  |

Inserts a geometric_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A geometric_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1077 of file bits/random.tcc.

References std::left(), std::geometric_distribution< _IntType >::p(), and std::scientific().

## operator>>() [1/2]

template<typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::bernoulli_distribution & | __x
| ) |  |

Extracts a bernoulli_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A bernoulli_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 3644 of file random.h.

References std::bernoulli_distribution::param().

## operator>>() [2/2]

template<typename _IntType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::geometric_distribution< _IntType > & | __x
| ) |  |

Extracts a geometric_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A geometric_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 1101 of file bits/random.tcc.

References std::geometric_distribution< _IntType >::param(), and std::skipws().